url.js

### Members

#### static, constant getAbsoluteURL
`utils/url.js`, `line 103`

  Get absolute version of relative URL. Used to tell flash correct URL.

  See:
    - http://stackoverflow.com/questions/470832/getting-an-absolute-url-from-a-relative-one-ie6-issue

#### static, constant getFileExtension
`utils/url.js`, `line 127`

  Returns the extension of the passed file name. It will return an empty string if passed an invalid path.

#### static, constant isCrossOrigin
`utils/url.js`, `line 149`

  Returns whether the url passed is a cross domain request or not.

#### static, constant parseUrl
`utils/url.js`, `line 42`

  Resolve and parse the elements of a URL.

### Type Definitions

#### url:URLObject
`utils/url.js`, `line 8`

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `protocol` | string | The protocol of the url that was parsed.
  `hostname` | string | The hostname of the url that was parsed.
  `port` | string | The port of the url that was parsed.
  `pathname` | string | The pathname of the url that was parsed.
  `search` | string | The search query of the url that was parsed.
  `hash` | string | The hash of the url that was parsed.
  `host` | string | The host of the url that was parsed.